Subject: NAS Package commments

From: Christian Groves <[email-masked]>
Date: Thu, 15 Mar 2001 15:38:50 +1100

G'Day Tom,

I've just reviewed the NAS package and have a couple of minor comments.

7.1.1 and 7.1.2 use the term parameterID when propertyID is the correct
term. The should be changed to prevent confusion between properties and
event parameters.

7.1.2 and 8.2.1 may I suggest that HANDLE in the text case be OCTET
STRING encoded in the HEX form. This allows the same cookie to be used
in both text and binary. Otherwise text "value" limits what you can
store.

9.1.1 & 9.1.2 - I don't know why you need these properties. Isn't the
correct way to find out this information to do an audit on the MG and
look for terminations that have the NAS packages allocated to them. This
is superflous.

9.1.2 Why isn't this returned in an audit? Its read only. If you can't
set it or read it whats the point in having it?

Cheers, Christian

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Fri, 16 Mar 2001 08:11:52 -0500

[Points of agreement snipped]

...
> > 
> > [PTT]
> > 9.1.2 names a single termination -- there will be at most 
> one of them
> > in an MG.  I'd argue for this property on grounds of efficiency.
> 
> [CHG] I must admit I don't understand what the control termination
> actually is (its probably my ignorance of the finer workings 
> of a NAS).
> Is there typically only one interface on a NAS that does 
> outgoing calls
> as suggested by the package?

[PTT]
This is strictly a logical entity, defined so there can be a source of
events indicating outgoing calls.  The actual calls are carried by
interconnecting NAS terminations and circuits.
> 
> > 
> > 9.1.1 is, I agree, debatable.  The presence of this property is my
> > contribution to the discussion of how the MGC discovers ephemeral
> > terminations in advance of their creation.  The logical continuation
> > of this thought, of course, is that ROOT properties are defined for
> > the naming patterns of other ephemeral types.
> > 
> > Playing devil's advocate: If it turns out that these naming patterns
> > are not disjoint, showing them as ROOT properties is a 
> wasted effort.
> > That will also mean that any audit would find terminationIDs capable
> > of supporting a variety of mutually exclusive packages.  
> AFAIK this is
> > perfectly legitimate.
> 
> [CHG] I don't really see the need or efficiency for this. How many MGs
> will be configured to do NAS, VoIP, ISDN access, BICC, SIP, 
> etc ? So the
> most likely thing is that all the termination in a NAS MG (or virtual
> MG) will be NAS ones anyway.
> 
[PTT]
OK, I don't feel strongly about this one, so I'll drop it.
> > [PTT]
> > I don't understand the problem.  It's read only -- that 
> allows you to
> > read it in an audit of ROOT.
> [CHG] The following statement was confusing to me:
>    Possible values: as provisioned in the MG.  The value MUST NOT 
>    contain a wildcard.  If the MG does not support outgoing calls 
>    originated from the data network, this property MUST NOT 
> be set and 
>    MUST NOT be reported in any audit of ROOT properties. 
>    Defined in: TerminationState for ROOT. 
>    Characteristics: read only. 
> 
> What should happen with regards to H.248? As its a property which
> resides in a package if you put this package on root then 
> will you have
> "ctlnam" set. So should audit capability or audit value return it? I'm
> concerned about the MUST NOT notes change normal H.248 behaviour.

[PTT]
OK, instead of "not set" I'll specify a reserved value which indicates the
absence of outgoing call capability.
> 
> Another thing I just picked up is that type should probably say "octet
> string formatted as: ...."
> 
[PTT]
OK

---

From: "Alan Whitton" <[email-masked]>
Date: Fri, 16 Mar 2001 08:17:25 -0500

All right,

Glad to see some good comments on the package, let me add my 2 cents to it.

[9.1.1] Chistian you ask how many NASes will have ISDN, VoIP, NAS and a
bunch of other stuff configured on it. At least 1. We (ok I) need this
capability. From what I have read on the Lucent and Cisco "Universal Port"
(for lack of a better word) they will also at least have gateways that do
VoIP & NAS together. Please feel free to BOOT me if I have missed the point
on this one.

Tom, I do feel strongly about this point, so please don't drop it.

Thanks,
Alan Whitton

-----Original Message-----
From: Taylor, Tom-PT [NORSE:B881:EXCH] 
Sent: Friday, March 16, 2001 8:12 AM
To: 'Christian Groves'
Cc: Whitton, Alan [CAR:5Z00:EXCH]; megaco ietf
Subject: RE: NAS Package commments

...

[PTT]
[PTT]

[PTT]
[PTT]
OK